Bug 1797027 - Monitoring Dashboards: Variable dropdowns not showing up on some dashboards
Summary: Monitoring Dashboards: Variable dropdowns not showing up on some dashboards
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Andrew Pickering
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1794885
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 18:49 UTC by Samuel Padgett
Modified: 2020-05-13 21:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:56:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4184 0 None closed Bug 1797027: Monitoring Dashboards: Fix variables handling 2020-04-22 08:42:44 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:56:05 UTC

Description Samuel Padgett 2020-01-31 18:49:58 UTC
The variable dropdowns are not showing up on some dashboards like `k8s-resources-workloads-namespace`. This prevents the data from loading, and the charts appear empty.

Comment 2 Yadan Pei 2020-02-06 03:56:14 UTC
I would like to verify this change after bug https://bugzilla.redhat.com/show_bug.cgi?id=1794885 is fixed

Comment 3 Yadan Pei 2020-02-07 09:38:30 UTC
The variable dropdown `namespace' and 'Type' on k8s-resources-workloads-namespace dashboard page can be successfully loaded, user can change variable values and charts data is changed accordingly


Also checked all other dashboards, variable dropdown can be successfully loaded for each dashboard


Verified on 4.4.0-0.nightly-2020-02-07-001901

Comment 5 errata-xmlrpc 2020-05-13 21:56:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.